This file documents the 'Screen' virtual terminal manager.

   Copyright (c) 1993-2003 Free Software Foundation, Inc.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

   Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be stated in a
translation approved by the Foundation.

20.2 Break
==========

 -- Command: break [duration]
     ('C-a b', 'C-a C-b')
     Send a break signal for DURATION*0.25 seconds to this window.  For
     non-Posix systems the time interval is rounded up to full seconds.
     Most useful if a character device is attached to the window rather
     than a shell process (see Window Types).  The maximum duration
     of a break signal is limited to 15 seconds.

 -- Command: pow_break
     ('C-a B')
     Reopen the window's terminal line and send a break condition.

 -- Command: breaktype [tcsendbreak|TIOCSBRK|TCSBRK]
     (none)
     Choose one of the available methods of generating a break signal
     for terminal devices.  This command should affect the current
     window only.  But it still behaves identical to 'defbreaktype'.
     This will be changed in the future.  Calling 'breaktype' with no
     parameter displays the break setting for the current window.

 -- Command: defbreaktype [tcsendbreak|TIOCSBRK|TCSBRK]
     (none)
     Choose one of the available methods of generating a break signal
     for terminal devices opened afterwards.  The preferred methods are
     'tcsendbreak' and 'TIOCSBRK'.  The third, 'TCSBRK', blocks the
     complete 'screen' session for the duration of the break, but it may
     be the only way to generate long breaks.  'tcsendbreak' and
     'TIOCSBRK' may or may not produce long breaks with spikes (e.g.  4
     per second).  This is not only system dependent, this also differs
     between serial board drivers.  Calling 'defbreaktype' with no
     parameter displays the current setting.

20.3 Debug
==========

 -- Command: debug [on|off]
     (none)
     Turns runtime debugging on or off.  If 'screen' has been compiled
     with option '-DDEBUG' debugging is available and is turned on per
     default.  Note that this command only affects debugging output from
     the main 'SCREEN' process correctly.  Debug output from attacher
     processes can only be turned off once and forever.

20.4 License
============

 -- Command: license
     ('C-a ,')
     Display the disclaimer page.  This is done whenever 'screen' is
     started without options, which should be often enough.

20.5 Nethack
============

 -- Command: nethack state
     (none)
     Changes the kind of error messages used by 'screen'.  When you are
     familiar with the game 'nethack', you may enjoy the nethack-style
     messages which will often blur the facts a little, but are much
     funnier to read.  Anyway, standard messages often tend to be
     unclear as well.

     This option is only available if 'screen' was compiled with the
     NETHACK flag defined (see Installation).  The default setting
     is then determined by the presence of the environment variable
     '$NETHACKOPTIONS' and the file '~/.nethackrc' - if either one is
     present, the default is 'on'.

20.6 Nonblock
=============

 -- Command: nonblock [STATE|NUMSECS]
     Tell screen how to deal with user interfaces (displays) that cease
     to accept output.  This can happen if a user presses ^S or a
     TCP/modem connection gets cut but no hangup is received.  If
     nonblock is 'off' (this is the default) screen waits until the
     display restarts to accept the output.  If nonblock is 'on', screen
     waits until the timeout is reached ('on' is treated as 1s).  If the
     display still doesn't receive characters, screen will consider it
     "blocked" and stop sending characters to it.  If at some time it
     restarts to accept characters, screen will unblock the display and
     redisplay the updated window contents.

 -- Command: defnonblock STATE|NUMSECS
     Same as the 'nonblock' command except that the default setting for
     displays is changed.  Initial setting is 'off'.

20.7 Number
===========

 -- Command: number [[+|-]N]
     ('C-a N')
     Change the current window's number.  If the given number N is
     already used by another window, both windows exchange their
     numbers.  If no argument is specified, the current window number
     (and title) is shown.  Using either a plus ('+') or minus ('-')
     will change the window's number by the relative amount specified.

20.8 Time
=========

 -- Command: time [STRING]
     ('C-a t', 'C-a C-t')
     Uses the message line to display the time of day, the host name,
     and the load averages over 1, 5, and 15 minutes (if this is
     available on your system).  For window-specific information use
     'info' (see Info).  If a STRING is specified, it changes the
     format of the time report like it is described in the string
     escapes chapter (see String Escapes).  Screen uses a default of
     '%c:%s %M %d %H%? %l%?'.

20.9 Verbose
============

 -- Command: verbose [on|off]
     If verbose is switched on, the command name is echoed, whenever a
     window is created (or resurrected from zombie state).  Default is
     off.  Without a parameter, the current setting is shown.

20.10 Version
=============

 -- Command: version
     ('C-a v')
     Display the version and modification date in the message line.

20.11 Zombie
============

 -- Command: zombie [KEYS [onerror] ]
 -- Command: defzombie [KEYS]
     (none)
     Per default windows are removed from the window list as soon as the
     windows process (e.g.  shell) exits.  When a string of two keys is
     specified to the zombie command, 'dead' windows will remain in the
     list.  The 'kill' command may be used to remove the window.
     Pressing the first key in the dead window has the same effect.
     Pressing the second key, however, screen will attempt to resurrect
     the window.  The process that was initially running in the window
     will be launched again.  Calling 'zombie' without parameters will
     clear the zombie setting, thus making windows disappear when the
     process terminates.

     As the zombie setting is affected globally for all windows, this
     command should only be called 'defzombie'.  Until we need this as a
     per window setting, the commands 'zombie' and 'defzombie' are
     synonymous.

     Optionally you can put the word 'onerror' after the keys.  This
     will cause screen to monitor exit status of the process running in
     the window.  If it exits normally ('0'), the window disappears.
     Any other exit value causes the window to become a zombie.

20.12 Printcmd
==============

 -- Command: printcmd [CMD]
     (none)
     If CMD is not an empty string, screen will not use the terminal
     capabilities 'po/pf' for printing if it detects an ansi print
     sequence 'ESC [ 5 i', but pipe the output into CMD.  This should
     normally be a command like 'lpr' or 'cat > /tmp/scrprint'.
     'Printcmd' without an argument displays the current setting.  The
     ansi sequence 'ESC \' ends printing and closes the pipe.

     Warning: Be careful with this command!  If other user have write
     access to your terminal, they will be able to fire off print
     commands.

20.13 Rendition
===============

 -- Command: rendition bell | monitor | silence | so ATTR [COLOR]
     (none)
     Change the way screen renders the titles of windows that have
     monitor or bell flags set in caption or hardstatus or windowlist.
     See the chapter about string escapes (see String Escapes) for
     the syntax of the modifiers.  The default for monitor is currently
     '=b' (bold, active colors), for bell '=ub' (underline, bold and
     active colors), and for silence '=u'.

20.14 Sorendition
=================

 -- Command: sorendition [ATTR [COLOR]]
     (none)
     This command has been deprecated.  Use 'rendition so' instead.

20.15 Attrcolor
===============

 -- Command: attrcolor ATTRIB [ATTRIBUTE/COLOR-MODIFIER]
     (none)
     This command can be used to highlight attributes by changing the
     color of the text.  If the attribute ATTRIB is in use, the
     specified attribute/color modifier is also applied.  If no modifier
     is given, the current one is deleted.  See the chapter about string
     escapes (see String Escapes) for the syntax of the modifier.
     'Screen' understands two pseudo-attributes, 'i' stands for
     high-intensity foreground color and 'I' for high-intensity
     background color.

     Examples:
     'attrcolor b "R"'
          Change the color to bright red if bold text is to be printed.
     'attrcolor u "-u b"'
          Use blue text instead of underline.
     'attrcolor b ".I"'
          Use bright colors for bold text.  Most terminal emulators do
          this already.
     'attrcolor i "+b"'
          Make bright colored text also bold.

20.16 Setsid
============

 -- Command: setsid state
     (none)
     Normally 'screen' uses different sessions and process groups for
     the windows.  If setsid is turned 'off', this is not done anymore
     and all windows will be in the same process group as the screen
     backend process.  This also breaks job-control, so be careful.  The
     default is 'on', of course.  This command is probably useful only
     in rare circumstances.

20.17 Eval
==========

 -- Command: eval COMMAND1 [COMMAND2 ...]
     (none)
     Parses and executes each argument as separate command.

20.18 Maxwin
============

 -- Command: maxwin N
     (none)
     Set the maximum window number screen will create.  Doesn't affect
     already existing windows.  The number can be increased only when
     there are no existing windows.

20.19 Backtick
==============

 -- Command: backtick ID LIFESPAN AUTOREFRESH COMMAND [ARGS]
 -- Command: backtick ID
     (none)
     Program the backtick command with the numerical id ID.  The output
     of such a command is used for substitution of the '%`' string
     escape (see String Escapes).  The specified LIFESPAN is the
     number of seconds the output is considered valid.  After this time,
     the command is run again if a corresponding string escape is
     encountered.  The AUTOREFRESH parameter triggers an automatic
     refresh for caption and hardstatus strings after the specified
     number of seconds.  Only the last line of output is used for
     substitution.

     If both the LIFESPAN and the AUTOREFRESH parameters are zero, the
     backtick program is expected to stay in the background and generate
     output once in a while.  In this case, the command is executed
     right away and screen stores the last line of output.  If a new
     line gets printed screen will automatically refresh the hardstatus
     or the captions.

     The second form of the command deletes the backtick command with
     the numerical id ID.

20.20 Screen Saver
==================

 -- Command: idle [TIMEOUT [CMD ARGS]]
     (none)
     Sets a command that is run after the specified number of seconds
     inactivity is reached.  This command will normally be the 'blanker'
     command to create a screen blanker, but it can be any screen
     command.  If no command is specified, only the timeout is set.  A
     timeout of zero (ot the special timeout 'off') disables the timer.
     If no arguments are given, the current settings are displayed.

 -- Command: blanker
     (none)
     Activate the screen blanker.  First the screen is cleared.  If no
     blanker program is defined, the cursor is turned off, otherwise,
     the program is started and it's output is written to the screen.
     The screen blanker is killed with the first keypress, the read key
     is discarded.

     This command is normally used together with the 'idle' command.

 -- Command: blankerprg [PROGRAM ARGS]
     Defines a blanker program.  Disables the blanker program if an
     empty argument is given.  Shows the currently set blanker program
     if no arguments are given.

20.21 Zmodem
============

 -- Command: zmodem [off|auto|catch|pass]
 -- Command: zmodem sendcmd [string]
 -- Command: zmodem recvcmd [string]
     (none)
     Define zmodem support for 'screen'.  'Screen' understands two
     different modes when it detects a zmodem request: 'pass' and
     'catch'.  If the mode is set to 'pass', screen will relay all data
     to the attacher until the end of the transmission is reached.  In
     'catch' mode screen acts as a zmodem endpoint and starts the
     corresponding rz/sz commands.  If the mode is set to 'auto', screen
     will use 'catch' if the window is a tty (e.g.  a serial line),
     otherwise it will use 'pass'.

     You can define the templates screen uses in 'catch' mode via the
     second and the third form.

     Note also that this is an experimental feature.

21 String Escapes
*****************

Screen provides an escape mechanism to insert information like the
current time into messages or file names.  The escape character is '%'
with one exception: inside of a window's hardstatus '^%' ('^E') is used
instead.

   Here is the full list of supported escapes:

'%'
     the escape character itself
'a'
     either 'am' or 'pm'
'A'
     either 'AM' or 'PM'
'c'
     current time 'HH:MM' in 24h format
'C'
     current time 'HH:MM' in 12h format
'd'
     day number
'D'
     weekday name
'E'
     sets %?  to true if the escape character has been pressed.
'f'
     flags of the window.  See Windows, for meanings of the various
     flags.
'F'
     sets %?  to true if the window has the focus
'h'
     hardstatus of the window
'H'
     hostname of the system
'l'
     current load of the system
'm'
     month number
'M'
     month name
'n'
     window number
'P'
     sets %?  to true if the current region is in copy/paste mode
's'
     seconds
'S'
     session name
't'
     window title
'u'
     all other users on this window
'w'
     all window numbers and names.  With '-' qualifier: up to the
     current window; with '+' qualifier: starting with the window after
     the current one.
'W'
     all window numbers and names except the current one
'y'
     last two digits of the year number
'Y'
     full year number
'?'
     the part to the next '%?' is displayed only if a '%' escape inside
     the part expands to a non-empty string
':'
     else part of '%?'
'='
     pad the string to the display's width (like TeX's hfill).  If a
     number is specified, pad to the percentage of the window's width.
     A '0' qualifier tells screen to treat the number as absolute
     position.  You can specify to pad relative to the last absolute pad
     position by adding a '+' qualifier or to pad relative to the right
     margin by using '-'.  The padding truncates the string if the
     specified position lies before the current position.  Add the 'L'
     qualifier to change this.
'<'
     same as '%=' but just do truncation, do not fill with spaces
'>'
     mark the current text position for the next truncation.  When
     screen needs to do truncation, it tries to do it in a way that the
     marked position gets moved to the specified percentage of the
     output area.  (The area starts from the last absolute pad position
     and ends with the position specified by the truncation operator.)
     The 'L' qualifier tells screen to mark the truncated parts with
     '...'.
'{'
     attribute/color modifier string terminated by the next '}'
'`'
     Substitute with the output of a 'backtick' command.  The length
     qualifier is misused to identify one of the commands.  See
     Backtick.
   The 'c' and 'C' escape may be qualified with a '0' to make screen use
zero instead of space as fill character.  The 'n' and '=' escapes
understand a length qualifier (e.g.  '%3n'), 'D' and 'M' can be prefixed
with 'L' to generate long names, 'w' and 'W' also show the window flags
if 'L' is given.

   An attribute/color modifier is is used to change the attributes or
the color settings.  Its format is '[attribute modifier] [color
description]'.  The attribute modifier must be prefixed by a change type
indicator if it can be confused with a color description.  The following
change types are known:
'+'
     add the specified set to the current attributes
'-'
     remove the set from the current attributes
'!'
     invert the set in the current attributes
'='
     change the current attributes to the specified set
   The attribute set can either be specified as a hexadecimal number or
a combination of the following letters:
'd'
     dim
'u'
     underline
'b'
     bold
'r'
     reverse
's'
     standout
'B'
     blinking
   Colors are coded either as a hexadecimal number or two letters
specifying the desired background and foreground color (in that order).
The following colors are known:
'k'
     black
'r'
     red
'g'
     green
'y'
     yellow
'b'
     blue
'm'
     magenta
'c'
     cyan
'w'
     white
'd'
     default color
'.'
     leave color unchanged
   The capitalized versions of the letter specify bright colors.  You
can also use the pseudo-color 'i' to set just the brightness and leave
the color unchanged.

   A one digit/letter color description is treated as foreground or
background color dependent on the current attributes: if reverse mode is
set, the background color is changed instead of the foreground color.
If you don't like this, prefix the color with a '.'.  If you want the
same behavior for two-letter color descriptions, also prefix them with a
'.'.

   As a special case, '%{-}' restores the attributes and colors that
were set before the last change was made (i.e.  pops one level of the
color-change stack).

Examples:
'G'
     set color to bright green
'+b r'
     use bold red
'= yd'
     clear all attributes, write in default color on yellow background.
'%-Lw%{= BW}%50>%n%f* %t%{-}%+Lw%<'
     The available windows centered at the current win dow and truncated
     to the available width.  The current window is displayed white on
     blue.  This can be used with 'hardstatus alwayslastline'.
'%?%F%{.R.}%?%3n %t%? [%h]%?'
     The window number and title and the window's hardstatus, if one is
     set.  Also use a red background if this is the active focus.
     Useful for 'caption string'.

22 Environment Variables
************************

'COLUMNS'
     Number of columns on the terminal (overrides termcap entry).

'HOME'
     Directory in which to look for .screenrc.

'LINES'
     Number of lines on the terminal (overrides termcap entry).

'LOCKPRG'
     Screen lock program.

'NETHACKOPTIONS'
     Turns on 'nethack' option.

'PATH'
     Used for locating programs to run.

'SCREENCAP'
     For customizing a terminal's 'TERMCAP' value.

'SCREENDIR'
     Alternate socket directory.

'SCREENRC'
     Alternate user screenrc file.

'SHELL'
     Default shell program for opening windows (default '/bin/sh').

'STY'
     Alternate socket name.  If 'screen' is invoked, and the environment
     variable 'STY' is set, then it creates only a window in the running
     'screen' session rather than starting a new session.

'SYSSCREENRC'
     Alternate system screenrc file.

'TERM'
     Terminal name.

'TERMCAP'
     Terminal description.

'WINDOW'
     Window number of a window (at creation time).

23 Files Referenced
*******************

'.../screen-4.?.??/etc/screenrc'
'.../screen-4.?.??/etc/etcscreenrc'
     Examples in the 'screen' distribution package for private and
     global initialization files.

'$SYSSCREENRC'
'/etc/screenrc'
     'screen' initialization commands

'$SCREENRC'
'$HOME/.iscreenrc'
'$HOME/.screenrc'
     Read in after /etc/screenrc

'$SCREENDIR/S-LOGIN'

'/var/run/screen/S-LOGIN'
     Socket directories (default)

'/usr/tmp/screens/S-LOGIN'
     Alternate socket directories.

'SOCKET DIRECTORY/.termcap'
     Written by the 'dumptermcap' command

'/usr/tmp/screens/screen-exchange or'
'/tmp/screen-exchange'
     'screen' interprocess communication buffer

'hardcopy.[0-9]'
     Screen images created by the hardcopy command

'screenlog.[0-9]'
     Output log files created by the log command

'/usr/lib/terminfo/?/* or'
'/etc/termcap'
     Terminal capability databases

'/var/run/utmp'
     Login records

'$LOCKPRG'
     Program for locking the terminal.

24 Credits
**********

Authors
=======

   Originally created by Oliver Laumann, this latest version was
produced by Juergen Weigert, Michael Schroeder, Micah Cowan and Sadrul
Habib Chowdhury.

Contributors
============

          Ken Beal (kbeal@amber.ssd.csd.harris.com),
          Rudolf Koenig (rfkoenig@informatik.uni-erlangen.de),
          Toerless Eckert (eckert@informatik.uni-erlangen.de),
          Wayne Davison (davison@borland.com),
          Patrick Wolfe (pat@kai.com, kailand!pat),
          Bart Schaefer (schaefer@cse.ogi.edu),
          Nathan Glasser (nathan@brokaw.lcs.mit.edu),
          Larry W. Virden (lvirden@cas.org),
          Howard Chu (hyc@hanauma.jpl.nasa.gov),
          Tim MacKenzie (tym@dibbler.cs.monash.edu.au),
          Markku Jarvinen (mta@{cc,cs,ee}.tut.fi),
          Marc Boucher (marc@CAM.ORG),
          Doug Siebert (dsiebert@isca.uiowa.edu),
          Ken Stillson (stillson@tsfsrv.mitre.org),
          Ian Frechett (frechett@spot.Colorado.EDU),
          Brian Koehmstedt (bpk@gnu.ai.mit.edu),
          Don Smith (djs6015@ultb.isc.rit.edu),
          Frank van der Linden (vdlinden@fwi.uva.nl),
          Martin Schweikert (schweik@cpp.ob.open.de),
          David Vrona (dave@sashimi.lcu.com),
          E. Tye McQueen (tye%spillman.UUCP@uunet.uu.net),
          Matthew Green (mrg@eterna.com.au),
          Christopher Williams (cgw@pobox.com),
          Matt Mosley (mattm@access.digex.net),
          Gregory Neil Shapiro (gshapiro@wpi.WPI.EDU),
          Jason Merrill (jason@jarthur.Claremont.EDU),
          Johannes Zellner (johannes@zellner.org),
          Pablo Averbuj (pablo@averbuj.com).

Version
=======

   This manual describes version 4.1.0 of the 'screen' program.  Its
roots are a merge of a custom version 2.3PR7 by Wayne Davison and
several enhancements to Oliver Laumann's version 2.0.  Note that all
versions numbered 2.x are copyright by Oliver Laumann.

   See also Availability.

25 Bugs
*******

Just like any other significant piece of software, 'screen' has a few
bugs and missing features.  Please send in a bug report if you have
found a bug not mentioned here.

25.1 Known Bugs
===============

   * 'dm' (delete mode) and 'xs' are not handled correctly (they are
     ignored).  'xn' is treated as a magic-margin indicator.

   * 'screen' has no clue about double-high or double-wide characters.
     But this is the only area where 'vttest' is allowed to fail.

   * It is not possible to change the environment variable '$TERMCAP'
     when reattaching under a different terminal type.

   * The support of terminfo based systems is very limited.  Adding
     extra capabilities to '$TERMCAP' may not have any effects.

   * 'screen' does not make use of hardware tabs.

   * 'screen' must be installed setuid root on most systems in order to
     be able to correctly change the owner of the tty device file for
     each window.  Special permission may also be required to write the
     file '/var/run/utmp'.

   * Entries in '/var/run/utmp' are not removed when 'screen' is killed
     with SIGKILL. This will cause some programs (like "w" or "rwho") to
     advertise that a user is logged on who really isn't.

   * 'screen' may give a strange warning when your tty has no utmp
     entry.

   * When the modem line was hung up, 'screen' may not automatically
     detach (or quit) unless the device driver sends a HANGUP signal.
     To detach such a 'screen' session use the -D or -d command line
     option.

   * If a password is set, the command line options -d and -D still
     detach a session without asking.

   * Both 'breaktype' and 'defbreaktype' change the break generating
     method used by all terminal devices.  The first should change a
     window specific setting, where the latter should change only the
     default for new windows.

   * When attaching to a multiuser session, the user's '.screenrc' file
     is not sourced.  Each users personal settings have to be included
     in the '.screenrc' file from which the session is booted, or have
     to be changed manually.

   * A weird imagination is most useful to gain full advantage of all
     the features.

25.2 Reporting Bugs
===================

If you find a bug in 'Screen', please send electronic mail to
'screen@uni-erlangen.de', and also to 'bug-gnu-utils@prep.ai.mit.edu'.
Include the version number of 'Screen' which you are using.  Also
include in your message the hardware and operating system, the compiler
used to compile, a description of the bug behavior, and the conditions
that triggered the bug.  Please recompile 'screen' with the '-DDEBUG'
options enabled, reproduce the bug, and have a look at the debug output
written to the directory '/tmp/debug'.  If necessary quote suspect
passages from the debug output and show the contents of your 'config.h'
if it matters.

25.3 Availability
=================

'Screen' is available under the 'GNU' copyleft.

   The latest official release of 'screen' available via anonymous ftp
from 'prep.ai.mit.edu', 'nic.funet.fi' or any other 'GNU' distribution
site.  The home site of 'screen' is 'ftp.uni-erlangen.de
(131.188.3.71)', in the directory 'pub/utilities/screen'.  The
subdirectory 'private' contains the latest beta testing release.  If you
want to help, send a note to screen@uni-erlangen.de.

26 Installation
***************

Since 'screen' uses pseudo-ttys, the select system call, and UNIX-domain
sockets/named pipes, it will not run under a system that does not
include these features of 4.2 and 4.3 BSD UNIX.

26.1 Socket Directory
=====================

The socket directory defaults either to '$HOME/.screen' or simply to
'/tmp/screens' or preferably to '/var/run/screen' chosen at
compile-time.  If 'screen' is installed setuid root, then the
administrator should compile screen with an adequate (not NFS mounted)
'SOCKDIR'.  If 'screen' is not running setuid-root, the user can specify
any mode 700 directory in the environment variable '$SCREENDIR'.

26.2 Compiling Screen
=====================

To compile and install screen:

   The 'screen' package comes with a 'GNU Autoconf' configuration
script.  Before you compile the package run

                           'sh ./configure'

   This will create a 'config.h' and 'Makefile' for your machine.  If
'configure' fails for some reason, then look at the examples and
comments found in the 'Makefile.in' and 'config.h.in' templates.  Rename
'config.status' to 'config.status.MACHINE' when you want to keep
configuration data for multiple architectures.  Running 'sh
./config.status.MACHINE' recreates your configuration significantly
faster than rerunning 'configure'.
Read through the "User Configuration" section of 'config.h', and verify
that it suits your needs.  A comment near the top of this section
explains why it's best to install screen setuid to root.  Check for the
place for the global 'screenrc'-file and for the socket directory.
Check the compiler used in 'Makefile', the prefix path where to install
'screen'.  Then run

                                'make'

   If 'make' fails to produce one of the files 'term.h', 'comm.h' or
'tty.c', then use 'FILENAME.X.dist' instead.  For additional information
about installation of 'screen' refer to the file 'INSTALLATION', coming
with this package.

Command Index
*************

This is a list of all the commands supported by 'screen'.